summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Graham <joseph@fibreglass.tunachunks>2013-09-07 19:16:57 +0100
committerJoseph Graham <joseph@fibreglass.tunachunks>2013-09-07 19:16:57 +0100
commitdffe5965d45b422f37a4b2ed4e3304a8f93476d3 (patch)
treed8932221cd05d9fd1194e05a171719d0b3b7f5ba
parentc1c6c64ccc59e8fd9d6eed2f42349cc4ede30067 (diff)
updated dependency checking
-rw-r--r--lib/main.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/lib/main.sh b/lib/main.sh
index 3422562..1710198 100644
--- a/lib/main.sh
+++ b/lib/main.sh
@@ -136,6 +136,14 @@ then
envbot_quit 1
fi
+# Check for recode
+if ! which recode
+then
+ echo "recode is a dep, please install."
+ envbot_quit 1
+fi
+
+
# And finally lets export this as $HOME
export HOME="$tmp_home"